using Darkmatter.Core;
using UnityEngine;
using VContainer;

namespace Darkmatter.Presentation
{
    public class Splash : MonoBehaviour
    {
        [Inject] IPool<Splash> pool;

        public void ReturnToPool()
        {
            Invoke("PoolReturn", 2);
        }

        private void PoolReturn()
        {
            pool.ReturnToPool(this);
        }
    }
}
